Bug 1208582 - Review Request: trojita - IMAP e-mail client
Review Request: trojita - IMAP e-mail client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 1080411
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2015-04-02 11:10 EDT by Raphael Groner
Modified: 2016-01-31 16:48 EST (History)
13 users (show)

See Also:
Fixed In Version: trojita-0.5-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1080411
Environment:
Last Closed: 2015-07-05 14:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
projects.rg: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 345739 None None None Never
Qt Bug Tracker QTBUG-45624 None None None Never

  None (edit)
Description Raphael Groner 2015-04-02 11:10:00 EDT
SPEC: https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-3.fc21.src.rpm

rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9393885

Open issues:
- original requester is lost
- generation of a manpage fails (with help2man)
- reported a failed testcase of html formatting to upstream

See below for more details taken from the original review request.

******

+++ This bug was initially created as a clone of Bug #1080411 +++

Spec URL: http://kvolny.fedorapeople.org/trojita.spec
SRPM URL: http://kvolny.fedorapeople.org/trojita-0.4.1-1.fc20.src.rpm
Description: 

Trojitá is a Qt IMAP e-mail client which:
  * Enables you to access your mail anytime, anywhere.
  * Does not slow you down. If we can improve the productivity of an e-mail
    user, we better do.
  * Respects open standards and facilitates modern technologies. We value
    the vendor-neutrality that IMAP provides and are committed to be as
    interoperable as possible.
  * Is efficient — be it at conserving the network bandwidth, keeping memory
    use at a reasonable level or not hogging the system's CPU.
  * Can be used on many platforms. One UI is not enough for everyone, but our
    IMAP core works fine on anything from desktop computers to cell phones
    and big ERP systems.
  * Plays well with the rest of the ecosystem. We don't like reinventing wheels,
    but when the existing wheels quite don't fit the tracks, we're not afraid
    of making them work.

Fedora Account System Username: kvolny

Koji scratch builds:
F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6671258
EPEL7: http://koji.fedoraproject.org/koji/taskinfo?taskID=6671502
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6671309

--- Additional comment from Karel Volný on 2014-03-25 13:00:07 CET ---

note that I've filed some bugs upstream for the things I've workarounded in spec:

Bug 332578 - superfluous x-test language
[https://bugs.kde.org/show_bug.cgi?id=332578]

Bug 332579 - unversioned plugins library (rpmlint invalid-soname issue)
[https://bugs.kde.org/show_bug.cgi?id=332579]

--- Additional comment from Rex Dieter on 2014-04-13 23:18:12 CEST ---

Offhand looks like a good start, some initial suggestions (SHOULD are just recommendations and/or a matter of taste, MUST are required):

1.  SHOULD add
Requires: hicolor-icon-theme
instead of:
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*

2.  MUST add some icon scriptlets, see
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

3.  SHOULD include .spec comments clearly identifying items that are workarounds for the bugs referenced in comment #1


Oh, just noticed the bug is assigned, but no review flag set, Christopher, was that just an oversight?

--- Additional comment from Christopher Meng on 2014-04-14 05:07:58 CEST ---

(In reply to Rex Dieter from comment #2)
> Oh, just noticed the bug is assigned, but no review flag set, Christopher,
> was that just an oversight?

Sorry, it's not an omission. I'm busy recently, I will review this later in the afternoon today.

--- Additional comment from Karel Volný on 2014-04-14 13:30:20 CEST ---

(In reply to Rex Dieter from comment #2)
> Offhand looks like a good start, some initial suggestions (SHOULD are just
> recommendations and/or a matter of taste, MUST are required):

thanks

> 1.  SHOULD add
> Requires: hicolor-icon-theme
> instead of:
> %dir %{_datadir}/icons/hicolor
> %dir %{_datadir}/icons/hicolor/*

I prefer not to add dependencies that are not really needed ... multiple ownership of a directory seems to me less evil

> 2.  MUST add some icon scriptlets, see
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

shame on me, I've completely forgotten about this gnomish stuff

(hm, now I wonder if I've overlooked it in the review, or such checkpoint is missing? - RFE material? - but I'm not in the mood to investigate now with all those errata in my queue :-/)

> 3.  SHOULD include .spec comments clearly identifying items that are
> workarounds for the bugs referenced in comment #1

added

@Christopher:
I'm going to attach new spec version here, is that okay for you, or do I have to reupload it on the web together with new srpm?

--- Additional comment from Karel Volný on 2014-04-14 13:31:35 CEST ---

$ diff trojita.spec~ trojita.spec                                                                                                                                                                                 
3c3                                                                                                                                                                                                                                          
< Release:        1%{?dist}                                                                                                                                                                                                                  
---                                                                                                                                                                                                                                          
> Release:        2%{?dist}                                                                                                                                                                                                                  
47a48                                                                                                                                                                                                                                        
> # https://bugs.kde.org/show_bug.cgi?id=332578                                                                                                                                                                                              
52a54,55                                                                                                                                                                                                                                     
> # change path for the library                                                                                                                                                                                                              
> # https://bugs.kde.org/show_bug.cgi?id=332579                                                                                                                                                                                              
87a91,105
> %post
> /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
> 
> 
> %postun
> if [ $1 -eq 0 ] ; then
>     /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
>     /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
> fi
> 
> 
> %posttrans
> /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
> 
> 
88a107,110
> * Mon Apr 14 2014 Karel Volný <kvolny@redhat.com> 0.4.1-2
> - Fixed icon handling and added comments as per the package review
> - https://bugzilla.redhat.com/show_bug.cgi?id=1080411#c2
>

--- Additional comment from Christopher Meng on 2014-04-14 14:14:53 CEST ---

Please attach the fixed version, I will review it later.

--- Additional comment from Christopher Meng on 2014-04-16 03:08:19 CEST ---

Please also attach the fixed SRPM.

--- Additional comment from Karel Volný on 2014-04-16 13:07:47 CEST ---

Spec URL: http://kvolny.fedorapeople.org/trojita.spec
SRPM URL: http://kvolny.fedorapeople.org/trojita-0.4.1-2.fc20.src.rpm

Koji scratch builds:
F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6745276
EPEL7: http://koji.fedoraproject.org/koji/taskinfo?taskID=6745284
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6745280

--- Additional comment from Christopher Meng on 2014-04-20 14:57:56 CEST ---

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2.1 or later) (with incorrect FSF address)",
     "LGPL (v2 or later)", "Unknown or generated", "BSD (3 clause)". 65 files
     have unknown license. Detailed output of licensecheck:

BSD (3 clause)
--------------
trojita-0.4.1/src/Imap/Model/FindInterestingPart.cpp
trojita-0.4.1/src/Imap/Model/FindInterestingPart.h
trojita-0.4.1/src/Imap/Model/MailboxFinder.cpp
trojita-0.4.1/src/Imap/Model/MailboxFinder.h
trojita-0.4.1/src/XtConnect/MailSynchronizer.cpp
trojita-0.4.1/src/XtConnect/MailSynchronizer.h
trojita-0.4.1/src/XtConnect/MessageDownloader.cpp
trojita-0.4.1/src/XtConnect/MessageDownloader.h
trojita-0.4.1/src/XtConnect/SqlStorage.cpp
trojita-0.4.1/src/XtConnect/SqlStorage.h
trojita-0.4.1/src/XtConnect/XtConnect.cpp
trojita-0.4.1/src/XtConnect/XtConnect.h
trojita-0.4.1/src/XtConnect/main.cpp

GPL
---
trojita-0.4.1/src/AbookAddressbook/AbookAddressbook.cpp
trojita-0.4.1/src/AbookAddressbook/AbookAddressbook.h
trojita-0.4.1/src/AbookAddressbook/be-contacts.cpp
trojita-0.4.1/src/AbookAddressbook/be-contacts.h
trojita-0.4.1/src/AppVersion/SetCoreApplication.cpp
trojita-0.4.1/src/AppVersion/SetCoreApplication.h
trojita-0.4.1/src/Common/Application.cpp
trojita-0.4.1/src/Common/Application.h
trojita-0.4.1/src/Common/ConnectionId.cpp
trojita-0.4.1/src/Common/ConnectionId.h
trojita-0.4.1/src/Common/ConnectionMethod.h
trojita-0.4.1/src/Common/DeleteAfter.cpp
trojita-0.4.1/src/Common/DeleteAfter.h
trojita-0.4.1/src/Common/FileLogger.cpp
trojita-0.4.1/src/Common/FileLogger.h
trojita-0.4.1/src/Common/FindWithUnknown.h
trojita-0.4.1/src/Common/InvokeMethod.h
trojita-0.4.1/src/Common/Logging.h
trojita-0.4.1/src/Common/MetaTypes.cpp
trojita-0.4.1/src/Common/MetaTypes.h
trojita-0.4.1/src/Common/Paths.cpp
trojita-0.4.1/src/Common/Paths.h
trojita-0.4.1/src/Common/PortNumbers.h
trojita-0.4.1/src/Common/RingBuffer.h
trojita-0.4.1/src/Common/SettingsCategoryGuard.h
trojita-0.4.1/src/Common/SettingsNames.cpp
trojita-0.4.1/src/Common/SettingsNames.h
trojita-0.4.1/src/Common/SqlTransactionAutoAborter.h
trojita-0.4.1/src/Composer/ComposerAttachments.cpp
trojita-0.4.1/src/Composer/ComposerAttachments.h
trojita-0.4.1/src/Composer/ContentDisposition.h
trojita-0.4.1/src/Composer/MessageComposer.cpp
trojita-0.4.1/src/Composer/MessageComposer.h
trojita-0.4.1/src/Composer/PlainTextFormatter.cpp
trojita-0.4.1/src/Composer/PlainTextFormatter.h
trojita-0.4.1/src/Composer/Recipients.cpp
trojita-0.4.1/src/Composer/Recipients.h
trojita-0.4.1/src/Composer/ReplaceSignature.cpp
trojita-0.4.1/src/Composer/ReplaceSignature.h
trojita-0.4.1/src/Composer/SenderIdentitiesModel.cpp
trojita-0.4.1/src/Composer/SenderIdentitiesModel.h
trojita-0.4.1/src/Composer/SubjectMangling.cpp
trojita-0.4.1/src/Composer/SubjectMangling.h
trojita-0.4.1/src/Composer/Submission.cpp
trojita-0.4.1/src/Composer/Submission.h
trojita-0.4.1/src/Gui/AbstractAddressbook.h
trojita-0.4.1/src/Gui/AbstractPartWidget.h
trojita-0.4.1/src/Gui/AttachmentView.cpp
trojita-0.4.1/src/Gui/AttachmentView.h
trojita-0.4.1/src/Gui/AutoCompletion.cpp
trojita-0.4.1/src/Gui/AutoCompletion.h
trojita-0.4.1/src/Gui/CompleteMessageWidget.cpp
trojita-0.4.1/src/Gui/CompleteMessageWidget.h
trojita-0.4.1/src/Gui/ComposeWidget.cpp
trojita-0.4.1/src/Gui/ComposeWidget.h
trojita-0.4.1/src/Gui/ComposerAttachmentsList.cpp
trojita-0.4.1/src/Gui/ComposerAttachmentsList.h
trojita-0.4.1/src/Gui/ComposerTextEdit.cpp
trojita-0.4.1/src/Gui/ComposerTextEdit.h
trojita-0.4.1/src/Gui/EmbeddedWebView.cpp
trojita-0.4.1/src/Gui/EmbeddedWebView.h
trojita-0.4.1/src/Gui/EnvelopeView.cpp
trojita-0.4.1/src/Gui/EnvelopeView.h
trojita-0.4.1/src/Gui/ExternalElementsWidget.cpp
trojita-0.4.1/src/Gui/ExternalElementsWidget.h
trojita-0.4.1/src/Gui/FindBar.cpp
trojita-0.4.1/src/Gui/FindBar.h
trojita-0.4.1/src/Gui/FromAddressProxyModel.cpp
trojita-0.4.1/src/Gui/FromAddressProxyModel.h
trojita-0.4.1/src/Gui/IconLoader.h
trojita-0.4.1/src/Gui/LoadablePartWidget.cpp
trojita-0.4.1/src/Gui/LoadablePartWidget.h
trojita-0.4.1/src/Gui/MailBoxTreeView.cpp
trojita-0.4.1/src/Gui/MailBoxTreeView.h
trojita-0.4.1/src/Gui/MessageListWidget.cpp
trojita-0.4.1/src/Gui/MessageListWidget.h
trojita-0.4.1/src/Gui/MessageSourceWidget.cpp
trojita-0.4.1/src/Gui/MessageSourceWidget.h
trojita-0.4.1/src/Gui/MessageView.cpp
trojita-0.4.1/src/Gui/MessageView.h
trojita-0.4.1/src/Gui/MsgListView.cpp
trojita-0.4.1/src/Gui/MsgListView.h
trojita-0.4.1/src/Gui/OnePanelAtTimeWidget.cpp
trojita-0.4.1/src/Gui/OnePanelAtTimeWidget.h
trojita-0.4.1/src/Gui/OverlayWidget.cpp
trojita-0.4.1/src/Gui/OverlayWidget.h
trojita-0.4.1/src/Gui/PartWidget.cpp
trojita-0.4.1/src/Gui/PartWidget.h
trojita-0.4.1/src/Gui/PartWidgetFactory.cpp
trojita-0.4.1/src/Gui/PartWidgetFactory.h
trojita-0.4.1/src/Gui/PasswordDialog.cpp
trojita-0.4.1/src/Gui/PasswordDialog.h
trojita-0.4.1/src/Gui/ProgressPopUp.cpp
trojita-0.4.1/src/Gui/ProgressPopUp.h
trojita-0.4.1/src/Gui/ProtocolLoggerWidget.cpp
trojita-0.4.1/src/Gui/ProtocolLoggerWidget.h
trojita-0.4.1/src/Gui/ReplaceCharValidator.cpp
trojita-0.4.1/src/Gui/ReplaceCharValidator.h
trojita-0.4.1/src/Gui/SettingsDialog.cpp
trojita-0.4.1/src/Gui/SettingsDialog.h
trojita-0.4.1/src/Gui/ShortcutHandler/ShortcutConfigDialog.cpp
trojita-0.4.1/src/Gui/ShortcutHandler/ShortcutConfigDialog.h
trojita-0.4.1/src/Gui/ShortcutHandler/ShortcutConfigWidget.cpp
trojita-0.4.1/src/Gui/ShortcutHandler/ShortcutConfigWidget.h
trojita-0.4.1/src/Gui/ShortcutHandler/ShortcutHandler.cpp
trojita-0.4.1/src/Gui/ShortcutHandler/ShortcutHandler.h
trojita-0.4.1/src/Gui/SimplePartWidget.cpp
trojita-0.4.1/src/Gui/SimplePartWidget.h
trojita-0.4.1/src/Gui/Spinner.cpp
trojita-0.4.1/src/Gui/Spinner.h
trojita-0.4.1/src/Gui/TaskProgressIndicator.cpp
trojita-0.4.1/src/Gui/TaskProgressIndicator.h
trojita-0.4.1/src/Gui/UserAgentWebPage.cpp
trojita-0.4.1/src/Gui/UserAgentWebPage.h
trojita-0.4.1/src/Gui/Util.cpp
trojita-0.4.1/src/Gui/Util.h
trojita-0.4.1/src/Gui/Window.cpp
trojita-0.4.1/src/Gui/Window.h
trojita-0.4.1/src/Gui/main.cpp
trojita-0.4.1/src/Harmattan/main.cpp
trojita-0.4.1/src/Imap/ConnectionState.cpp
trojita-0.4.1/src/Imap/ConnectionState.h
trojita-0.4.1/src/Imap/Encoders.cpp
trojita-0.4.1/src/Imap/Encoders.h
trojita-0.4.1/src/Imap/Exceptions.cpp
trojita-0.4.1/src/Imap/Exceptions.h
trojita-0.4.1/src/Imap/Model/Cache.cpp
trojita-0.4.1/src/Imap/Model/Cache.h
trojita-0.4.1/src/Imap/Model/CacheLoadingMode.h
trojita-0.4.1/src/Imap/Model/CatenateData.h
trojita-0.4.1/src/Imap/Model/CombinedCache.cpp
trojita-0.4.1/src/Imap/Model/CombinedCache.h
trojita-0.4.1/src/Imap/Model/CopyMoveOperation.h
trojita-0.4.1/src/Imap/Model/DiskPartCache.cpp
trojita-0.4.1/src/Imap/Model/DiskPartCache.h
trojita-0.4.1/src/Imap/Model/DragAndDrop.cpp
trojita-0.4.1/src/Imap/Model/DragAndDrop.h
trojita-0.4.1/src/Imap/Model/FlagsOperation.cpp
trojita-0.4.1/src/Imap/Model/FlagsOperation.h
trojita-0.4.1/src/Imap/Model/FullMessageCombiner.cpp
trojita-0.4.1/src/Imap/Model/FullMessageCombiner.h
trojita-0.4.1/src/Imap/Model/ImapAccess.cpp
trojita-0.4.1/src/Imap/Model/ImapAccess.h
trojita-0.4.1/src/Imap/Model/ItemRoles.h
trojita-0.4.1/src/Imap/Model/MailboxMetadata.cpp
trojita-0.4.1/src/Imap/Model/MailboxMetadata.h
trojita-0.4.1/src/Imap/Model/MailboxModel.cpp
trojita-0.4.1/src/Imap/Model/MailboxModel.h
trojita-0.4.1/src/Imap/Model/MailboxTree.cpp
trojita-0.4.1/src/Imap/Model/MailboxTree.h
trojita-0.4.1/src/Imap/Model/MailboxTreeFwd.h
trojita-0.4.1/src/Imap/Model/MemoryCache.cpp
trojita-0.4.1/src/Imap/Model/MemoryCache.h
trojita-0.4.1/src/Imap/Model/Model.cpp
trojita-0.4.1/src/Imap/Model/Model.h
trojita-0.4.1/src/Imap/Model/ModelWatcher.cpp
trojita-0.4.1/src/Imap/Model/ModelWatcher.h
trojita-0.4.1/src/Imap/Model/MsgListModel.cpp
trojita-0.4.1/src/Imap/Model/MsgListModel.h
trojita-0.4.1/src/Imap/Model/NetworkPolicy.h
trojita-0.4.1/src/Imap/Model/NetworkWatcher.cpp
trojita-0.4.1/src/Imap/Model/NetworkWatcher.h
trojita-0.4.1/src/Imap/Model/OneMessageModel.cpp
trojita-0.4.1/src/Imap/Model/OneMessageModel.h
trojita-0.4.1/src/Imap/Model/ParserState.cpp
trojita-0.4.1/src/Imap/Model/ParserState.h
trojita-0.4.1/src/Imap/Model/PrettyMailboxModel.cpp
trojita-0.4.1/src/Imap/Model/PrettyMailboxModel.h
trojita-0.4.1/src/Imap/Model/PrettyMsgListModel.cpp
trojita-0.4.1/src/Imap/Model/PrettyMsgListModel.h
trojita-0.4.1/src/Imap/Model/QAIM_reset.h
trojita-0.4.1/src/Imap/Model/SQLCache.cpp
trojita-0.4.1/src/Imap/Model/SQLCache.h
trojita-0.4.1/src/Imap/Model/SpecialFlagNames.cpp
trojita-0.4.1/src/Imap/Model/SpecialFlagNames.h
trojita-0.4.1/src/Imap/Model/SubscribeUnSubscribeOperation.h
trojita-0.4.1/src/Imap/Model/SubtreeModel.cpp
trojita-0.4.1/src/Imap/Model/SubtreeModel.h
trojita-0.4.1/src/Imap/Model/TaskFactory.cpp
trojita-0.4.1/src/Imap/Model/TaskFactory.h
trojita-0.4.1/src/Imap/Model/TaskPresentationModel.cpp
trojita-0.4.1/src/Imap/Model/TaskPresentationModel.h
trojita-0.4.1/src/Imap/Model/ThreadingMsgListModel.cpp
trojita-0.4.1/src/Imap/Model/ThreadingMsgListModel.h
trojita-0.4.1/src/Imap/Model/UidSubmitData.h
trojita-0.4.1/src/Imap/Model/Utils.cpp
trojita-0.4.1/src/Imap/Model/Utils.h
trojita-0.4.1/src/Imap/Model/VisibleTasksModel.cpp
trojita-0.4.1/src/Imap/Model/VisibleTasksModel.h
trojita-0.4.1/src/Imap/Network/FileDownloadManager.cpp
trojita-0.4.1/src/Imap/Network/FileDownloadManager.h
trojita-0.4.1/src/Imap/Network/ForbiddenReply.cpp
trojita-0.4.1/src/Imap/Network/ForbiddenReply.h
trojita-0.4.1/src/Imap/Network/MsgPartNetAccessManager.h
trojita-0.4.1/src/Imap/Network/MsgPartNetworkReply.cpp
trojita-0.4.1/src/Imap/Network/MsgPartNetworkReply.h
trojita-0.4.1/src/Imap/Parser/Command.cpp
trojita-0.4.1/src/Imap/Parser/Command.h
trojita-0.4.1/src/Imap/Parser/Data.cpp
trojita-0.4.1/src/Imap/Parser/Data.h
trojita-0.4.1/src/Imap/Parser/LowLevelParser.cpp
trojita-0.4.1/src/Imap/Parser/LowLevelParser.h
trojita-0.4.1/src/Imap/Parser/MailAddress.cpp
trojita-0.4.1/src/Imap/Parser/MailAddress.h
trojita-0.4.1/src/Imap/Parser/Message.cpp
trojita-0.4.1/src/Imap/Parser/Message.h
trojita-0.4.1/src/Imap/Parser/Parser.cpp
trojita-0.4.1/src/Imap/Parser/Parser.h
trojita-0.4.1/src/Imap/Parser/Response.cpp
trojita-0.4.1/src/Imap/Parser/Response.h
trojita-0.4.1/src/Imap/Parser/Rfc5322HeaderParser.cpp
trojita-0.4.1/src/Imap/Parser/Rfc5322HeaderParser.generated.cpp
trojita-0.4.1/src/Imap/Parser/Rfc5322HeaderParser.h
trojita-0.4.1/src/Imap/Parser/Sequence.cpp
trojita-0.4.1/src/Imap/Parser/Sequence.h
trojita-0.4.1/src/Imap/Parser/ThreadingNode.cpp
trojita-0.4.1/src/Imap/Parser/ThreadingNode.h
trojita-0.4.1/src/Imap/Tasks/AppendTask.cpp
trojita-0.4.1/src/Imap/Tasks/AppendTask.h
trojita-0.4.1/src/Imap/Tasks/CopyMoveMessagesTask.cpp
trojita-0.4.1/src/Imap/Tasks/CopyMoveMessagesTask.h
trojita-0.4.1/src/Imap/Tasks/CreateMailboxTask.cpp
trojita-0.4.1/src/Imap/Tasks/CreateMailboxTask.h
trojita-0.4.1/src/Imap/Tasks/DeleteMailboxTask.cpp
trojita-0.4.1/src/Imap/Tasks/DeleteMailboxTask.h
trojita-0.4.1/src/Imap/Tasks/EnableTask.cpp
trojita-0.4.1/src/Imap/Tasks/EnableTask.h
trojita-0.4.1/src/Imap/Tasks/ExpungeMailboxTask.cpp
trojita-0.4.1/src/Imap/Tasks/ExpungeMailboxTask.h
trojita-0.4.1/src/Imap/Tasks/ExpungeMessagesTask.cpp
trojita-0.4.1/src/Imap/Tasks/ExpungeMessagesTask.h
trojita-0.4.1/src/Imap/Tasks/Fake_ListChildMailboxesTask.cpp
trojita-0.4.1/src/Imap/Tasks/Fake_ListChildMailboxesTask.h
trojita-0.4.1/src/Imap/Tasks/Fake_OpenConnectionTask.cpp
trojita-0.4.1/src/Imap/Tasks/Fake_OpenConnectionTask.h
trojita-0.4.1/src/Imap/Tasks/FetchMsgMetadataTask.cpp
trojita-0.4.1/src/Imap/Tasks/FetchMsgMetadataTask.h
trojita-0.4.1/src/Imap/Tasks/FetchMsgPartTask.cpp
trojita-0.4.1/src/Imap/Tasks/FetchMsgPartTask.h
trojita-0.4.1/src/Imap/Tasks/GenUrlAuthTask.cpp
trojita-0.4.1/src/Imap/Tasks/GenUrlAuthTask.h
trojita-0.4.1/src/Imap/Tasks/GetAnyConnectionTask.cpp
trojita-0.4.1/src/Imap/Tasks/GetAnyConnectionTask.h
trojita-0.4.1/src/Imap/Tasks/IdTask.cpp
trojita-0.4.1/src/Imap/Tasks/IdTask.h
trojita-0.4.1/src/Imap/Tasks/IdleLauncher.cpp
trojita-0.4.1/src/Imap/Tasks/IdleLauncher.h
trojita-0.4.1/src/Imap/Tasks/ImapTask.cpp
trojita-0.4.1/src/Imap/Tasks/ImapTask.h
trojita-0.4.1/src/Imap/Tasks/KeepMailboxOpenTask.cpp
trojita-0.4.1/src/Imap/Tasks/KeepMailboxOpenTask.h
trojita-0.4.1/src/Imap/Tasks/ListChildMailboxesTask.cpp
trojita-0.4.1/src/Imap/Tasks/ListChildMailboxesTask.h
trojita-0.4.1/src/Imap/Tasks/NoopTask.cpp
trojita-0.4.1/src/Imap/Tasks/NoopTask.h
trojita-0.4.1/src/Imap/Tasks/NumberOfMessagesTask.cpp
trojita-0.4.1/src/Imap/Tasks/NumberOfMessagesTask.h
trojita-0.4.1/src/Imap/Tasks/ObtainSynchronizedMailboxTask.cpp
trojita-0.4.1/src/Imap/Tasks/ObtainSynchronizedMailboxTask.h
trojita-0.4.1/src/Imap/Tasks/OfflineConnectionTask.cpp
trojita-0.4.1/src/Imap/Tasks/OfflineConnectionTask.h
trojita-0.4.1/src/Imap/Tasks/OpenConnectionTask.cpp
trojita-0.4.1/src/Imap/Tasks/OpenConnectionTask.h
trojita-0.4.1/src/Imap/Tasks/SortTask.cpp
trojita-0.4.1/src/Imap/Tasks/SortTask.h
trojita-0.4.1/src/Imap/Tasks/SubscribeUnsubscribeTask.cpp
trojita-0.4.1/src/Imap/Tasks/SubscribeUnsubscribeTask.h
trojita-0.4.1/src/Imap/Tasks/ThreadTask.cpp
trojita-0.4.1/src/Imap/Tasks/ThreadTask.h
trojita-0.4.1/src/Imap/Tasks/UidSubmitTask.cpp
trojita-0.4.1/src/Imap/Tasks/UidSubmitTask.h
trojita-0.4.1/src/Imap/Tasks/UnSelectTask.cpp
trojita-0.4.1/src/Imap/Tasks/UnSelectTask.h
trojita-0.4.1/src/Imap/Tasks/UpdateFlagsOfAllMessagesTask.cpp
trojita-0.4.1/src/Imap/Tasks/UpdateFlagsOfAllMessagesTask.h
trojita-0.4.1/src/Imap/Tasks/UpdateFlagsTask.cpp
trojita-0.4.1/src/Imap/Tasks/UpdateFlagsTask.h
trojita-0.4.1/src/MSA/AbstractMSA.cpp
trojita-0.4.1/src/MSA/AbstractMSA.h
trojita-0.4.1/src/MSA/FakeMSA.cpp
trojita-0.4.1/src/MSA/FakeMSA.h
trojita-0.4.1/src/MSA/ImapSubmit.cpp
trojita-0.4.1/src/MSA/ImapSubmit.h
trojita-0.4.1/src/MSA/SMTP.cpp
trojita-0.4.1/src/MSA/SMTP.h
trojita-0.4.1/src/MSA/Sendmail.cpp
trojita-0.4.1/src/MSA/Sendmail.h
trojita-0.4.1/src/Plugins/AddressbookPlugin.cpp
trojita-0.4.1/src/Plugins/AddressbookPlugin.h
trojita-0.4.1/src/Plugins/PasswordPlugin.cpp
trojita-0.4.1/src/Plugins/PasswordPlugin.h
trojita-0.4.1/src/Plugins/PluginInterface.h
trojita-0.4.1/src/Plugins/PluginJob.cpp
trojita-0.4.1/src/Plugins/PluginJob.h
trojita-0.4.1/src/Plugins/PluginManager.cpp
trojita-0.4.1/src/Plugins/PluginManager.h
trojita-0.4.1/src/Streams/DeletionWatcher.cpp
trojita-0.4.1/src/Streams/DeletionWatcher.h
trojita-0.4.1/src/Streams/FakeSocket.cpp
trojita-0.4.1/src/Streams/FakeSocket.h
trojita-0.4.1/src/Streams/IODeviceSocket.cpp
trojita-0.4.1/src/Streams/IODeviceSocket.h
trojita-0.4.1/src/Streams/Socket.cpp
trojita-0.4.1/src/Streams/Socket.h
trojita-0.4.1/src/Streams/SocketFactory.cpp
trojita-0.4.1/src/Streams/SocketFactory.h
trojita-0.4.1/src/Streams/TrojitaZlibStatus.h
trojita-0.4.1/src/XtConnect/XtCache.cpp
trojita-0.4.1/src/XtConnect/XtCache.h
trojita-0.4.1/src/be.contacts/main.cpp
trojita-0.4.1/tests/Composer/test_Composer_Submission.cpp
trojita-0.4.1/tests/Composer/test_Composer_Submission.h
trojita-0.4.1/tests/Composer/test_Composer_responses.cpp
trojita-0.4.1/tests/Composer/test_Composer_responses.h
trojita-0.4.1/tests/Composer/test_Html_formatting.cpp
trojita-0.4.1/tests/Composer/test_Html_formatting.h
trojita-0.4.1/tests/Imap/test_Imap_BodyParts.cpp
trojita-0.4.1/tests/Imap/test_Imap_BodyParts.h
trojita-0.4.1/tests/Imap/test_Imap_CopyAndFlagOperations.cpp
trojita-0.4.1/tests/Imap/test_Imap_CopyAndFlagOperations.h
trojita-0.4.1/tests/Imap/test_Imap_DisappearingMailboxes.cpp
trojita-0.4.1/tests/Imap/test_Imap_DisappearingMailboxes.h
trojita-0.4.1/tests/Imap/test_Imap_Idle.cpp
trojita-0.4.1/tests/Imap/test_Imap_Idle.h
trojita-0.4.1/tests/Imap/test_Imap_LowLevelParser.cpp
trojita-0.4.1/tests/Imap/test_Imap_LowLevelParser.h
trojita-0.4.1/tests/Imap/test_Imap_Message.cpp
trojita-0.4.1/tests/Imap/test_Imap_Message.h
trojita-0.4.1/tests/Imap/test_Imap_Model.cpp
trojita-0.4.1/tests/Imap/test_Imap_Model.h
trojita-0.4.1/tests/Imap/test_Imap_Offline.cpp
trojita-0.4.1/tests/Imap/test_Imap_Offline.h
trojita-0.4.1/tests/Imap/test_Imap_Parser_parse.cpp
trojita-0.4.1/tests/Imap/test_Imap_Parser_parse.h
trojita-0.4.1/tests/Imap/test_Imap_Responses.cpp
trojita-0.4.1/tests/Imap/test_Imap_Responses.h
trojita-0.4.1/tests/Imap/test_Imap_SelectedMailboxUpdates.cpp
trojita-0.4.1/tests/Imap/test_Imap_SelectedMailboxUpdates.h
trojita-0.4.1/tests/Imap/test_Imap_Tasks_CreateMailbox.cpp
trojita-0.4.1/tests/Imap/test_Imap_Tasks_CreateMailbox.h
trojita-0.4.1/tests/Imap/test_Imap_Tasks_DeleteMailbox.cpp
trojita-0.4.1/tests/Imap/test_Imap_Tasks_DeleteMailbox.h
trojita-0.4.1/tests/Imap/test_Imap_Tasks_ListChildMailboxes.cpp
trojita-0.4.1/tests/Imap/test_Imap_Tasks_ListChildMailboxes.h
trojita-0.4.1/tests/Imap/test_Imap_Tasks_ObtainSynchronizedMailbox.cpp
trojita-0.4.1/tests/Imap/test_Imap_Tasks_ObtainSynchronizedMailbox.h
trojita-0.4.1/tests/Imap/test_Imap_Tasks_OpenConnection.cpp
trojita-0.4.1/tests/Imap/test_Imap_Tasks_OpenConnection.h
trojita-0.4.1/tests/Imap/test_Imap_Threading.cpp
trojita-0.4.1/tests/Imap/test_Imap_Threading.h
trojita-0.4.1/tests/Misc/test_Rfc5322.cpp
trojita-0.4.1/tests/Misc/test_Rfc5322.h
trojita-0.4.1/tests/Misc/test_RingBuffer.cpp
trojita-0.4.1/tests/Misc/test_RingBuffer.h
trojita-0.4.1/tests/Misc/test_SenderIdentitiesModel.cpp
trojita-0.4.1/tests/Misc/test_SenderIdentitiesModel.h
trojita-0.4.1/tests/Misc/test_SqlCache.cpp
trojita-0.4.1/tests/Misc/test_SqlCache.h
trojita-0.4.1/tests/Misc/test_algorithms.cpp
trojita-0.4.1/tests/Misc/test_algorithms.h
trojita-0.4.1/tests/Utils/FakeCapabilitiesInjector.h
trojita-0.4.1/tests/Utils/LibMailboxSync.cpp
trojita-0.4.1/tests/Utils/LibMailboxSync.h
trojita-0.4.1/tests/Utils/ModelEvents.cpp
trojita-0.4.1/tests/Utils/ModelEvents.h
trojita-0.4.1/tests/Utils/TagGenerator.h
trojita-0.4.1/tests/Utils/headless_test.h

LGPL (v2 or later)
------------------
trojita-0.4.1/src/Imap/Model/kdeui-itemviews/kbihash_p.h
trojita-0.4.1/src/Imap/Model/kdeui-itemviews/kdescendantsproxymodel.cpp
trojita-0.4.1/src/Imap/Model/kdeui-itemviews/kdescendantsproxymodel.h
trojita-0.4.1/src/Imap/Parser/3rdparty/rfccodecs.cpp
trojita-0.4.1/src/Imap/Parser/3rdparty/rfccodecs.h
trojita-0.4.1/src/QmlSupport/QNAMWebView/plugin.cpp
trojita-0.4.1/src/QmlSupport/QNAMWebView/plugin.h
trojita-0.4.1/src/QmlSupport/QNAMWebView/qdeclarativewebview.cpp
trojita-0.4.1/src/QmlSupport/QNAMWebView/qdeclarativewebview_p.h
trojita-0.4.1/tests/Misc/test_rfccodecs.h

LGPL (v2)
---------
trojita-0.4.1/src/Imap/Parser/3rdparty/kcodecs.cpp
trojita-0.4.1/src/Imap/Parser/3rdparty/kcodecs.h
trojita-0.4.1/tests/Misc/test_rfccodecs.cpp

LGPL (v2.1 or later) (with incorrect FSF address)
-------------------------------------------------
trojita-0.4.1/src/XtConnect/xsqlquery.cpp
trojita-0.4.1/src/XtConnect/xsqlquery.h

Unknown or generated
--------------------
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-alignof.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-auto.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-auto_fail_compile.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-class_override_final.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-class_override_final_fail_compile.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-constexpr.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-cstdint_header.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-decltype.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-defaulted_functions.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-deleted_functions.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-deleted_functions_fail_compile.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-func_identifier.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-initializer_list.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-lambda.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-long_long.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-nullptr.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-nullptr_fail_compile.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-rvalue_references.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-sizeof_member.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-static_assert.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-static_assert_fail_compile.cxx
trojita-0.4.1/cmake/FindCXXFeatures/cxx11-test-variadic_templates.cxx
trojita-0.4.1/src/Gui/FlowLayout.cpp
trojita-0.4.1/src/Gui/FlowLayout.h
trojita-0.4.1/src/Gui/LineEdit.cpp
trojita-0.4.1/src/Gui/LineEdit.h
trojita-0.4.1/src/Gui/TagListWidget.cpp
trojita-0.4.1/src/Gui/TagListWidget.h
trojita-0.4.1/src/Gui/TagWidget.cpp
trojita-0.4.1/src/Gui/TagWidget.h
trojita-0.4.1/src/Harmattan/qmlapplicationviewer/qmlapplicationviewer.cpp
trojita-0.4.1/src/Harmattan/qmlapplicationviewer/qmlapplicationviewer.h
trojita-0.4.1/src/Imap/Model/ModelTest/modeltest.cpp
trojita-0.4.1/src/Imap/Model/ModelTest/modeltest.h
trojita-0.4.1/src/Imap/Network/MsgPartNetAccessManager.cpp
trojita-0.4.1/src/Imap/Parser/regenerate-ragel.sh
trojita-0.4.1/src/Streams/3rdparty/rfc1951.cpp
trojita-0.4.1/src/Streams/3rdparty/rfc1951.h
trojita-0.4.1/src/mimetypes-qt4/io/qstandardpaths.cpp
trojita-0.4.1/src/mimetypes-qt4/io/qstandardpaths.h
trojita-0.4.1/src/mimetypes-qt4/io/qstandardpaths_mac.cpp
trojita-0.4.1/src/mimetypes-qt4/io/qstandardpaths_os2.cpp
trojita-0.4.1/src/mimetypes-qt4/io/qstandardpaths_unix.cpp
trojita-0.4.1/src/mimetypes-qt4/io/qstandardpaths_win.cpp
trojita-0.4.1/src/mimetypes-qt4/io/qsystemlibrary_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimedatabase.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimedatabase.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimedatabase_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimeglobpattern.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimeglobpattern_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimemagicrule.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimemagicrule_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimemagicrulematcher.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimemagicrulematcher_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimeprovider.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimeprovider_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimetype.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimetype.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimetype_p.h
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimetypeparser.cpp
trojita-0.4.1/src/mimetypes-qt4/mimetypes/qmimetypeparser_p.h
trojita-0.4.1/src/qwwsmtpclient/qwwsmtpclient.cpp
trojita-0.4.1/src/qwwsmtpclient/qwwsmtpclient.h
trojita-0.4.1/tests/imap-folder-sync/1.sh
trojita-0.4.1/tests/imap-folder-sync/2.sh

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor/32x32/apps(hicolor-icon-theme, fedora-logos,
     eom), /usr/share/icons/hicolor/scalable/apps(hicolor-icon-theme, fedora-
     logos, eom, hexchat), /usr/share/icons/hicolor/32x32(hicolor-icon-theme,
     fedora-logos, eom), /usr/share/icons/hicolor(hicolor-icon-theme, fedora-
     logos), /usr/share/icons/hicolor/scalable(hicolor-icon-theme, fedora-
     logos, eom, hexchat)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in trojita
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2181120 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: trojita-0.4.1-2.fc21.i686.rpm
          trojita-0.4.1-2.fc21.src.rpm
trojita.i686: W: spelling-error %description -l en_US Trojitá -> Trojan
trojita.i686: W: spelling-error %description -l en_US interoperable -> inter operable, inter-operable, inoperable
trojita.i686: W: no-manual-page-for-binary be.contacts
trojita.i686: W: no-manual-page-for-binary trojita
trojita.src: W: spelling-error %description -l en_US Trojitá -> Trojan
trojita.src: W: spelling-error %description -l en_US interoperable -> inter operable, inter-operable, inoperable
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint trojita
trojita.i686: W: spelling-error %description -l en_US Trojitá -> Trojan
trojita.i686: W: spelling-error %description -l en_US interoperable -> inter operable, inter-operable, inoperable
trojita.i686: W: no-manual-page-for-binary be.contacts
trojita.i686: W: no-manual-page-for-binary trojita
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
trojita (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4
    libQtGui.so.4
    libQtNetwork.so.4
    libQtSql.so.4
    libQtWebKit.so.4
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libtrojita_plugins.so
    libz.so.1
    rtld(GNU_HASH)



Provides
--------
trojita:
    application()
    application(trojita.desktop)
    libtrojita_plugins.so
    trojita
    trojita(x86-32)



Unversioned so-files
--------------------
trojita: /usr/lib/trojita/libtrojita_plugins.so

Source checksums
----------------
http://downloads.sourceforge.net/trojita/trojita-0.4.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 68a17498e70fd66966917fe4ecb90e6fe6f36f439c714552b8a97c004fe687de
  CHECKSUM(SHA256) upstream package : 68a17498e70fd66966917fe4ecb90e6fe6f36f439c714552b8a97c004fe687de


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn trojita-0.4.1-2.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

--------------------------------------------
Besides above issues, you have:

1. From the koji build log:

-- The following features have been disabled:
 * WITH_HARMATTAN , Build MeeGo Harmattan version
 * WITH_QT5 , Build with Qt5 library
 * DEV_FATAL_WARNINGS , Turn build warnings into errors (developers only)
 * WITH_RAGEL , Build with Ragel library

WITH_RAGEL option is needed for building the parser from source, right?

ragel is in Fedora repo, you should use that one as BR.

2. %check section, since upstream has stated:

$ ctest -j 4 --output-on-failure

So I think you can use smp flags here(you can have a try)

3. Appdata file should be created.

--- Additional comment from Jan Kundrát on 2014-04-25 11:37:10 CEST ---

> ragel is in Fedora repo, you should use that one as BR.

There's a small problem with that -- Ragel uses host's type sizes and signedness when generating the .cpp file, which breaks the build when cross-compiling on amd64 for arm because amd64's "char" can store 0-255, while the ARM's one is -128-127. I reported this to Ragel developers [1], but the fix is still not integrated AFAIK. I don't think that would affect native builds, though, so perhaps it's OK to use this in Fedora.

> $ ctest -j 4 --output-on-failure
>
> So I think you can use smp flags here(you can have a try)

Note that it uses a different syntax from make -- "-j 4" vs make's "-j4".

Also be careful and do not activate parallel tests on build environments where the system is under heavy load. Some of these tests operate on QTimers with a deadline on the order of 20ms. I've seen problems with Ubuntu's build farm which was fixed by switching to serial invocation of these tests.

> Bug 332578 - superfluous x-test language
> [https://bugs.kde.org/show_bug.cgi?id=332578]

Fixed now, will be fixed in the next release.

> Bug 332579 - unversioned plugins library (rpmlint invalid-soname issue)
> [https://bugs.kde.org/show_bug.cgi?id=332579]

Patches for this are welcome; I'm not that much familiar with cmake to know what a perfect fix is.

[1] http://thread.gmane.org/gmane.comp.parsers.ragel.user/933

--- Additional comment from Karel Volný on 2014-05-05 22:38:51 CEST ---

thanks Jan for the update

sorry, I'm overloaded now, there was vacation on May 1st and there will be on May 8th, things should settle after the next RHSCL release, dont't expect me to get back to this earlier than second half of May :-(

--- Additional comment from Kevin Kofler on 2014-05-30 01:17:24 CEST ---

We indeed do not care about cross builds for Fedora packages.

--- Additional comment from Christopher Meng on 2014-07-29 05:49:55 CEST ---

Needinfo on me when you ready.

--- Additional comment from Karel Volný on 2014-10-27 15:59:39 CET ---

oops, this took longer than expected :-(

here's the new version:

Spec URL: http://kvolny.fedorapeople.org/trojita.spec
SRPM URL: http://kvolny.fedorapeople.org/trojita-0.4.1-3.fc20.src.rpm

it only adds ragel dependency ...

0) "above issues" - I see just

[!]: Package does not own files or directories owned by other packages.

- anything else?

as for the icon dirs ownership, I've already responded in comment #4 and after re-reading http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership I believe not requiring otherwise unneeded package is the correct solution

1) ragel is now used

2) following the discussion in comment #10, I believe it is better not to mess with it; when I've done my testbuild, tests took just 11 seconds so there's not much to gain here

3) appdata got added upstream:

http://quickgit.kde.org/?p=trojita.git&a=commit&h=66cf5af897741d9655c2836ce1e5db2c22c8636d

so I'd prefer to just wait for the next version and pick it up from the upstream tarball rather than to add own copy now

--- Additional comment from Kevin Kofler on 2014-10-27 18:48:51 CET ---

I still disagree about your handling of the hicolor icon theme.

The hicolor-icon-theme package is a "*filesystem"-type package. Therefore, this section of the guidelines applies:
> An exception
> Sometimes, it may be preferable for such directories to be owned by an
> "artificial filesystem" package, such as mozilla-filesystem. These packages are
> designed to be explicitly required when other packages store files in their
> directories, thus, in such situations, these packages should explicitly Require
> the artificial filesystem package and not multiply own those directories.
> Packagers should consider the number of affected directories and packages when
> determining whether to create artificial filesystem packages, and use their own
> best judgement to determine if this is necessary or not.

--- Additional comment from Karel Volný on 2014-10-29 14:39:31 CET ---

(In reply to Kevin Kofler from comment #15)
> The hicolor-icon-theme package is a "*filesystem"-type package.

the catch is that it is "*filesystem"-type but not "*-filesystem"

it carries non-empty payload (I mean actual files of nonzero size, not just the directory structure)

this is Qt application - it doesn't need 100+ MB GTK icon cache, and more generally the post scriptlets are even allowed to ignore if gtk-update-icon-cache is missing

if something like "icons-filesystem" is going to be created, I'll gladly add a dependency on it, but the current implementation of "hicolor-icon-theme" doesn't match what I think the abovequoted exception refers to, despite it is very close ... if it'd be added to the guidelines along the reference to the "man" package, there would be no space for doubt of course :-)

--- Additional comment from Kevin Kofler on 2014-10-30 00:32:25 CET ---

The icon-theme.cache file is actually ghosted, which means it is NOT part of the installed size of the hicolor-icon-theme package. The file is NOT created by installing the hicolor-icon-theme package, but it is created on your system by gtk-update-icon-cache, if (and only if) gtk-update-icon-cache is installed. And gtk-update-icon-cache will create that file whether you have the hicolor-icon-theme package installed or not.

The actual size of hicolor-icon-theme is only these files:
-rw-r--r--   1 root root     27095 27. Feb 2014  /usr/share/icons/hicolor/index.theme
required by the freedesktop.org icon theme spec. Strictly speaking, installing an icon to hicolor without that file being present is meaningless.

-rw-r--r--   1 root root      2688 17. Dez 2013  /usr/share/doc/hicolor-icon-theme-0.13/ChangeLog
-rw-r--r--   1 root root     17992 17. Dez 2013  /usr/share/doc/hicolor-icon-theme-0.13/COPYING
-rw-r--r--   1 root root       433 17. Dez 2013  /usr/share/doc/hicolor-icon-theme-0.13/README
Documentation and license files, as per the packaging guidelines.

The total installed size of hicolor-icon-theme is a whopping 48208 bytes. I would understand your complaint if we were still shipping the original hicolor-icon-theme from KDE 2, which contained actual icons (that's where the "hicolor" name historically comes from), but as it stands, you are just splitting hairs (or not understanding the meaning of %ghost in RPM).

--- Additional comment from Karel Volný on 2014-11-03 17:47:59 CET ---

(In reply to Kevin Kofler from comment #17)
> The icon-theme.cache file is actually ghosted, which means it is NOT part of
> the installed size of the hicolor-icon-theme package.

okay, sorry, I've used improper logical shortcut no file installed = no space eaten

> And gtk-update-icon-cache will create that file whether you have the
> hicolor-icon-theme package installed or not.

well, in that case, wouldn't that be better if the file is owned by gtk2, which provides gtk-update-icon-cache?

> -rw-r--r--   1 root root     27095 27. Feb 2014  /usr/share/icons/hicolor/index.theme
> required by the freedesktop.org icon theme spec. Strictly speaking, installing
> an icon to hicolor without that file being present is meaningless.

strictly speaking yes, but in case you're not interested in icons, it's still a little bit better to just install the unwanted icon (when it is not in separate package) rather than to install icon+theme

> The total installed size of hicolor-icon-theme is a whopping 48208 bytes. I
> would understand your complaint if we were still shipping the original
> hicolor-icon-theme from KDE 2, which contained actual icons (that's where
> the "hicolor" name historically comes from), but as it stands, you are just
> splitting hairs (or not understanding the meaning of %ghost in RPM).

I don't think the approach "it's just X bytes, next to nothing, let's waste it" is the best ...

but that would be a different point

I'm not quite sure about the interpretation of the packaging guidelines ... if you say depending on hicolor-icon-theme is the best thing to do (and I don't say it isn't, just that in my POV it's not that clear), please file a request to change the guidelines to mandate hicolor-icon-theme dependency for packages installing icons, and once it gets changed, we are over with this discussion - and as a bonus, bugs for other packages owning those directories could be filed then so that the mess gets cleaned up

wouldn't it be better to make it absolutely clear for all the packagers rather than arguing here?

--- Additional comment from Rex Dieter on 2014-12-31 22:58:34 CET ---

Ping, Christopher, can you continue with the review?  it's been a couple of months since comment #14 requesting feedback.

--- Additional comment from Björn "besser82" Esser on 2015-02-06 18:32:25 CET ---

Taking over here…

--- Additional comment from Mario Blättermann on 2015-02-07 17:44:09 CET ---

%doc LICENSE README

Please move the license text to %license:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

--- Additional comment from Raphael Groner on 2015-02-07 21:13:21 CET ---

(In reply to Mario Blättermann from comment #21)
> %doc LICENSE README
> 
> Please move the license text to %license:
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text

This won't work properly when a package for f20 is needed. 

Karel, do you plan to package also for f20? If yes, you have to use a %if conditional to exclude %license and keep %doc.

--- Additional comment from Zbigniew Jędrzejewski-Szmek on 2015-02-08 01:28:01 CET ---

(In reply to Raphael Groner from comment #22)
> Karel, do you plan to package also for f20? If yes, you have to use a %if
> conditional to exclude %license and keep %doc.
No. See https://fedorahosted.org/fpc/ticket/411#comment:11 for a better solution.

--- Additional comment from Karel Volný on 2015-02-09 13:32:37 CET ---

(In reply to Raphael Groner from comment #22)
> (In reply to Mario Blättermann from comment #21)
> > %doc LICENSE README
> > 
> > Please move the license text to %license:
> > https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> > LicensingGuidelines#License_Text

thanks for heads up

> This won't work properly when a package for f20 is needed. 
> 
> Karel, do you plan to package also for f20? If yes, you have to use a %if
> conditional to exclude %license and keep %doc.

no, I do not plan to get it into any older releases


btw, has anyone taken the hicolor-icon-theme issue anywhere, have I missed something?

--- Additional comment from Raphael Groner on 2015-02-09 14:31:02 CET ---

(In reply to Karel Volný from comment #24)
…
> btw, has anyone taken the hicolor-icon-theme issue anywhere, have I missed
> something?

From your spec file:
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps

Remove these lines and put "Requires: hicolor-icon-theme". The guideline says to not own folders from a filesystem package, hicolor-icon-theme owns those folders already. This is the common way to do it.

Further, insert the ScriptletSnippets from your comment #5, for proper handling of icon cache as needed in several desktops.
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

--- Additional comment from Karel Volný on 2015-02-09 15:09:59 CET ---

(In reply to Raphael Groner from comment #25)
> Remove these lines and put "Requires: hicolor-icon-theme". The guideline
> says to not own folders from a filesystem package, hicolor-icon-theme owns
> those folders already. This is the common way to do it.

please re-read comments 16-18

the fact that a package owns directories doesn't automatically make it "a filesystem package" - in fact the guidelines[*] give an example where a package (gtk-doc) owns a directory (/usr/share/gtk-doc/) and yet the second package (evolution) _should own_ that directory

[*] https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

give me some official statement that hicolor-icon-theme is an exception both to naming scheme (it's not *-filesystem) and both that it can include not just (empty) directories

e.g., the easiest, have this bullet:

"any directories owned by the filesystem, man, or other explicitly created -filesystem packages"

changed to

"any directories owned by the filesystem, man, hicolor-icon-theme, or other explicitly created -filesystem packages"

otherwise, formally, I cannot agree with your interpretation of the guidelines, and personally, I do not like pulling in unnecessary dependencies

--- Additional comment from Michael Schwendt (Fedora Packager Sponsors Group) on 2015-02-09 18:52:15 CET ---

Please don't be so stubborn.

There is general agreement about explicitly requiring hicolor-icon-theme package instead of _trying_ to "own" all used directories. See e.g.
  https://lists.fedoraproject.org/pipermail/devel/2012-January/161098.html

One(/the?) reason why it's still not in the guidelines could be that the FPC often expects a ticket to be opened and a guidelines change draft to be attached before anything would happen at all. 
  https://lists.fedoraproject.org/pipermail/devel/2012-January/161101.html
And when that doesn't happen, an issue is forgotten, and nobody from the FPC drives it forward "automatically" either.

--- Additional comment from Kevin Kofler on 2015-02-25 19:02:20 CET ---

As I already said in comment #15 and explained in comment #17, I also agree that you MUST require hicolor-icon-theme instead of owning the same directories.

--- Additional comment from Raphael Groner on 2015-02-28 22:42:37 CET ---

SPEC: https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-1.fc21.src.rpm

rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9102479

* Sat Feb 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.5-1
- clean files section and R: hicolor-icon-theme
- introduce license macro
- use name macro generally
- new upstream version 0.5
- distribute doxygen files

--- Additional comment from Raphael Groner on 2015-02-28 23:12:02 CET ---

Fixed help2man. New rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9102581

--- Additional comment from Raphael Groner on 2015-03-30 15:59:39 CEST ---

any news here?

--- Additional comment from Raphael Groner on 2015-04-01 01:07:02 CEST ---

HTML formatting seems to fail with Qt5, see upstream bug 345739.

Release #2 with enabled Qt5.

SPEC: https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-2.fc21.src.rpm

rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9386480

--- Additional comment from Christopher Meng on 2015-04-01 06:39:52 CEST ---

Taking back.


So, who is gonna submit the final package?

--- Additional comment from Raphael Groner on 2015-04-01 11:26:34 CEST ---

Not sure how long to wait for Karel as the original requester. I could take this package and open a new bug for the request.

--- Additional comment from Christian Dersch on 2015-04-01 16:38:43 CEST ---

(In reply to Raphael Groner from comment #29)
> SPEC: https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
> SRPM:
> https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-1.fc21.src.rpm
> 
> rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9102479
> 
> * Sat Feb 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.5-1
> - clean files section and R: hicolor-icon-theme
> - introduce license macro
> - use name macro generally
> - new upstream version 0.5
> - distribute doxygen files

Any need for the doxygen stuff (I get a -doc package with >300mb size)? It generates the developer documentation, no user documentation. As trojita is a simple GUI application and no library for development I would remove it.

Greetings,
Christian

--- Additional comment from Raphael Groner on 2015-04-01 19:12:10 CEST ---

* Wed Apr 01 2015 Raphael Groner <> - 0.5-3
- ease switching build with qt4 or qt5
- disable doxygen
- remove toolkit from summary
- use build subfolder
- improve tests execution

SPEC: https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-3.fc21.src.rpm

rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9393885

--- Additional comment from Jan Kundrát on 2015-04-01 19:26:37 CEST ---

I got curious what's in the generated manpage. It says "QXcbConnection: Could not connect to display". Does it try to e.g. parse output of `trojita --help`? That requires X11.

With my upstream hat on, I strongly prefer to always run the whole test suite when doing builds. If a test fails, that's a bug which should be fixed and not papered over. That's what I am not thrilled by disabling the test_Html_formatting test, but maybe it's just a temporary thing. I believe that the bug is in the interaction of Fedora's Qt packaging and Fedora's Xvfb, because the tests work on CentOS 7 (Trojita's CI) and some ancient Ubuntu (KDE's CI). My suggestion here is to ask Fedora Qt5 packagers for help.

--- Additional comment from Rex Dieter on 2015-04-01 19:30:07 CEST ---

Re: test suite

We can/will certainly investigate further, but it's not worth blocking the pkg review for.  Once imported, testing will be much easier (and collaborative).

--- Additional comment from Raphael Groner on 2015-04-01 19:48:58 CEST ---

It is really strange with the html test case. I tried now to only execute this one but it works as alone!??

http://koji.fedoraproject.org/koji/watchlogs?taskID=9394112

Maybe it happens only cause of running out of memory, e.g. when doxygen is enabled what we do not need.

--- Additional comment from Jan Kundrát on 2015-04-01 20:00:16 CEST ---

@Rex, OK, sorry for noise.

@Raphael, I'm a bit confused -- the log you pointed at says that you asked ctest to skip that test, so it isn't laucnhed at all. Ctest reports 26 tests in total, while we've 27 tests -- as expected, given the -E option.

--- Additional comment from Kevin Kofler on 2015-04-01 20:06:50 CEST ---

Many Fedora packages don't run any test suite at all, or ignore failures. It's quite common that tests don't pass in Koji for whatever reason.

--- Additional comment from Raphael Groner on 2015-04-01 20:07:07 CEST ---



--- Additional comment from Raphael Groner on 2015-04-01 20:55:47 CEST ---

The relevant source snippet seems to be that:
https://webcache.googleusercontent.com/search?q=cache:AY5C2IQNJYQJ:https://qt.gitorious.org/qt/qtbase/source/d52b00e1d3cc60c81b54a89d6da488dc4bbce384:src/plugins/platforms/xcb/qxcbconnection.cpp+&cd=4&hl=de&ct=clnk&gl=de

(using google's webcache cause gitorious is not really usable)

--- Additional comment from Raphael Groner on 2015-04-02 17:05:47 CEST ---

Closing here cause the original requester is missed since weeks (its last comment #26 in February).
Comment 1 Raphael Groner 2015-04-03 09:33:37 EDT
test_Html_formatting and manpage should be fixed.

* Wed Apr 01 2015 Raphael Groner <> - 0.5-4
- reenable html formatting testcase, should work cause of a special patch in Qt
- do not ship Doxyfile
- fix help2man to not request Xorg

SPEC: https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-4.fc21.src.rpm

rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=9406470
Comment 2 Mohammed Isam 2015-04-30 11:59:33 EDT
I am trying to run fedora-review but I failed. This is the output:

[MIMA@localhost ~]$ fedora-review -b 1208582
INFO: Processing bugzilla bug: 1208582
INFO: Getting .spec and .srpm Urls from : 1208582
ERROR: Cannot find usable urls here
ERROR: 'Cannot find .spec or .srpm URL(s)' (logs in /home/MIMA/.cache/fedora-review.log)

Help?
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-04-30 12:31:18 EDT
Just download the files from comment #c1, and run fedora-review -n trojita.
Comment 4 Mohammed Isam 2015-04-30 14:24:42 EDT
BUILD/             licensecheck.txt   review.txt         srpm-unpacked/
build.log          report.xml         rpmlint.txt        upstream/
dependencies/      results/           rpms-unpacked/     upstream-unpacked/
[MIMA@localhost fedora-review]$ cat review-trojita/review.txt 

This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
Result of feora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in trojita
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2.1 or later) (with incorrect FSF address)",
     "LGPL (v2 or later)", "Unknown or generated", "GPL (unversioned/unknown
     version) GPL (v2.1)", "BSD (3 clause)". 66 files have unknown license.
     Detailed output of licensecheck in /home/MIMA/fedora-review/review-
     trojita/licensecheck.txt
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/trojita, /usr/share/trojita/locale
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/trojita/locale,
     /usr/share/trojita
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in trojita
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[ ]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: trojita-0.5-4.fc21.x86_64.rpm
          trojita-0.5-4.fc21.src.rpm
trojita.x86_64: W: spelling-error %description -l en_US Trojitá -> Trojan
trojita.x86_64: W: no-manual-page-for-binary be.contacts
trojita.src: W: spelling-error %description -l en_US Trojitá -> Trojan
trojita.src:104: W: macro-in-comment %package
trojita.src:106: W: macro-in-comment %{name}
trojita.src:108: W: macro-in-comment %description
trojita.src:109: W: macro-in-comment %{summary}
trojita.src:111: W: macro-in-comment %files
trojita.src:112: W: macro-in-comment %license
trojita.src:113: W: macro-in-comment %doc
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Diff spec file in url and in SRPM
---------------------------------
--- /home/MIMA/fedora-review/trojita.spec	2015-04-30 20:34:25.950880124 +0400
+++ /home/MIMA/fedora-review/review-trojita/srpm-unpacked/trojita.spec	2015-04-01 23:32:56.000000000 +0400
@@ -16,7 +16,5 @@
 Summary:        IMAP e-mail client
 URL:            http://%{name}.flaska.net/
-Source0:        http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
-# execute and close the GUI: help2man --no-info --no-discard-stderr --version-option=%{version} build/%{name} >%{name}.1
-Source1:        %{name}.1
+Source:         http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
 
 BuildRequires:  cmake
@@ -25,8 +23,6 @@
 #BuildRequires:  qt4-webkit-devel
 BuildRequires:  ragel
-
-# optional dependencies, see below
-#BuildRequires:  doxygen graphviz
-#BuildRequires:  help2man
+BuildRequires:  doxygen graphviz
+BuildRequires:  help2man
 
 # needed for %%check
@@ -89,11 +85,10 @@
 # generate manpage
 mkdir -p %{buildroot}%{_mandir}/man1
-#help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 --no-info --no-discard-stderr --version-string=%{version} build/%{name}
-cp -p %{SOURCE1} %{buildroot}%{_mandir}/man1
+help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 --no-info --no-discard-stderr -h-h --version-string=%{version} build/%{name}
 
 
 %files -f %{name}_common.lang
 %license LICENSE
-%doc README
+%doc README src/Doxyfile
 %{_mandir}/man1/%{name}.1*
 %{_libdir}/%{name}/
@@ -148,7 +143,5 @@
 %changelog
 * Wed Apr 01 2015 Raphael Groner <projects.rg@smart.ms> - 0.5-4
-- reenable html formatting testcase, should work cause of a special patch in Qt
-- do not ship Doxyfile
-- fix help2man to not request Xorg
+- reenable html formatting testcase
 
 * Wed Apr 01 2015 Raphael Groner <projects.rg@smart.ms> - 0.5-3


Requires
--------
trojita (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQt5Core.so.5()(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5WebKit.so.5()(64bit)
    libQt5WebKitWidgets.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtrojita_plugins.so()(64bit)
    rtld(GNU_HASH)



Provides
--------
trojita:
    appdata()
    appdata(trojita.appdata.xml)
    application()
    application(trojita.desktop)
    libtrojita_plugins.so()(64bit)
    mimehandler(x-scheme-handler/mailto)
    trojita
    trojita(x86-64)



Unversioned so-files
--------------------
trojita: /usr/lib64/trojita/libtrojita_plugins.so

Source checksums
----------------
http://downloads.sf.net/trojita/trojita-0.5.tar.bz2 :
  CHECKSUM(SHA256) this package     : 21d8f0bf12b7d6dc39344ab70f4a0cb5b1997a3b60dc502841272ac92959458a
  CHECKSUM(SHA256) upstream package : 21d8f0bf12b7d6dc39344ab70f4a0cb5b1997a3b60dc502841272ac92959458a


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -n trojita
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Mohammed Isam 2015-04-30 14:26:50 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Just download the files from comment #c1, and run fedora-review -n trojita.

thanx for the tip!
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-04-30 15:08:18 EDT
(In reply to Mohammed Isam from comment #4)
> This is a review *template*. Besides handling the [ ]-marked tests you are
> also supposed to fix the template before pasting into bugzilla:
> - Add issues you find to the list of issues on top. If there isn't such
>   a list, create one.
> - Add your own remarks to the template checks.
> - Add new lines marked [!] or [?] when you discover new things not
>   listed by fedora-review.
> - Change or remove any text in the template which is plain wrong. In this
>   case you could also file a bug against fedora-review
> - Remove the "[ ] Manual check required", you will not have any such lines
>   in what you paste.
> - Remove attachments which you deem not really useful

Please read this ^. fedora-review is just a tool, and it's output should always be
critically analyzed by the reviewer, not taken as authoritative. Its output also needs
"postprocessing", i.e. filling all the empty brackets by hand ("[ ]"). fedora-review
simply is not smart enough to e.g. check if the version is the latest upstream
version.
Comment 7 Raphael Groner 2015-04-30 18:17:32 EDT
Will fix soon. Please be patient.
Comment 9 Mohammed Isam 2015-05-01 15:22:35 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #6)
> Please read this ^. fedora-review is just a tool, and it's output should
> always be
> critically analyzed by the reviewer, not taken as authoritative. Its output
> also needs
> "postprocessing", i.e. filling all the empty brackets by hand ("[ ]").
> fedora-review
> simply is not smart enough to e.g. check if the version is the latest
> upstream
> version.

My bad! This is my first review. Thanx for the help Zbigniew.
Comment 10 Rex Dieter 2015-06-02 10:59:01 EDT
willing to swap reviews?  mine is bug #1125952 (artikulate kde app)
Comment 11 Raphael Groner 2015-06-02 11:28:04 EDT
We should go with Qt5 only here. Reason: Qt4 upstream announced the final and last release and is going to stop further development.
Comment 12 Raphael Groner 2015-06-02 11:28:31 EDT
(In reply to Raphael Groner from comment #11)
> We should go with Qt5 only here. Reason: Qt4 upstream announced the final
> and last release and is going to stop further development.

# FIXME decide between qt5 or qt4
%global with_qt5       1
Comment 13 Raphael Groner 2015-06-23 11:13:43 EDT
Ping? Rex, should I fix something? Please start / continue the review.
Comment 14 Rex Dieter 2015-06-23 18:43:27 EDT
initial comments:

naming: ok

sources: ok
c583bb4d82620cda1c49e5f1b084f550  trojita-0.5.tar.bz2

macros: ok

scriptlets: ok

license: ok, though personally I'd make it simpler and go with aggregate
License: GPLv2+

1. MUST do .desktop file validation

2. MUST do .appdata.xml validation

3. SHOULD consider using xvfb-run instead of hard-coded Xvfb + options in %check
Comment 15 Raphael Groner 2015-06-24 05:24:54 EDT
(In reply to Rex Dieter from comment #14)
…
> 3. SHOULD consider using xvfb-run instead of hard-coded Xvfb + options in
> %check

No idea how to use xvfb-run. Please explain.
Comment 16 Raphael Groner 2015-06-24 07:01:02 EDT
SPEC https://raphgro.fedorapeople.org/review/qt/trojita/trojita.spec
SRPM https://raphgro.fedorapeople.org/review/qt/trojita/trojita-0.5-5.fc22.src.rpm

rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10196404

* Wed Jun 24 2015 Raphael Groner <> - 0.5-5
- add files validation
- use license GPLv2+ aggregated
- use build conditionals
- insert some comments
- insert BR: zlib-devel (optional imap compression)
Comment 17 Rex Dieter 2015-06-24 11:43:21 EDT
Re: xvfb-run, comment #15

$ xvfb-run --help
Usage: xvfb-run [OPTION ...] COMMAND
Run COMMAND (usually an X client) in a virtual X server environment.
Options:
-a        --auto-servernum          try to get a free server number, starting at
                                    --server-num
...
-n NUM    --server-num=NUM          server number to use (default: 99)
...

In short, replace:
Xvfb %{X_display} ...

with

xvfb-run -a ...
Comment 18 Rex Dieter 2015-06-24 11:44:13 EDT
Otherwise, the rest looks great now, APPROVED
Comment 19 Raphael Groner 2015-06-24 12:24:35 EDT
New Package SCM Request
=======================
Package Name: trojita
Short Description: IMAP e-mail client
Upstream URL: http://trojita.flaska.net
Owners: raphgro group::kde-sig
Branches: f22 epel7

Rex, thanks a lot for the review!
Comment 20 Raphael Groner 2015-06-24 12:53:05 EDT
epel7 build fails: http://koji.fedoraproject.org/koji/taskinfo?taskID=10198805
Comment 21 Gwyn Ciesla 2015-06-24 14:41:50 EDT
Git done (by process-git-requests).
Comment 23 Raphael Groner 2015-06-26 05:55:57 EDT
New Package SCM Request
=======================
Package Name: trojita
Short Description: IMAP e-mail client
Upstream URL: http://trojita.flaska.net
Owners: raphgro group::kde-sig
Branches: f21
Comment 24 Fedora Update System 2015-06-26 07:51:10 EDT
trojita-0.5-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/trojita-0.5-6.fc22
Comment 25 Fedora Update System 2015-06-26 08:26:04 EDT
trojita-0.5-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/trojita-0.5-6.fc21
Comment 26 Fedora Update System 2015-06-26 08:36:18 EDT
trojita-0.5-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/trojita-0.5-6.el7
Comment 27 Fedora Update System 2015-06-26 12:10:58 EDT
trojita-0.5-6.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 28 Fedora Update System 2015-07-05 14:55:08 EDT
trojita-0.5-6.fc21 has been pushed to the Fedora 21 stable repository.
Comment 29 Fedora Update System 2015-07-05 14:55:51 EDT
trojita-0.5-6.fc22 has been pushed to the Fedora 22 stable repository.
Comment 30 Fedora Update System 2015-07-14 12:46:21 EDT
trojita-0.5-6.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.